
package de.ivu.elect.interfaces.core;

import java.util.Date;

import javax.xml.bind.annotation.XmlElement;

public class WahlvorschlagsPerson extends Person {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private WahlvorschlagReferenz wahlvorschlagReferenz;

  @XmlElement(required = true)
  private WahlvorschlagsPersonTyp wahlvorschlagsPersonTyp;

  @XmlElement(required = false)
  private Long eingangssequenznummer;

  @XmlElement(required = false)
  private Date datumUnterschrift;

  @XmlElement(required = false)
  private String erstellungErfasser;

  @XmlElement(required = false)
  private String erstellungOrt;

  @XmlElement(required = false)
  private Date erstellungZeitpunkt;

  public WahlvorschlagsPerson() {
    super();
  }

  public WahlvorschlagReferenz getWahlvorschlagReferenz() {
    return wahlvorschlagReferenz;
  }

  public void setWahlvorschlagReferenz(WahlvorschlagReferenz wahlvorschlagReferenz) {
    this.wahlvorschlagReferenz = wahlvorschlagReferenz;
  }

  public WahlvorschlagsPersonTyp getWahlvorschlagsPersonTyp() {
    return wahlvorschlagsPersonTyp;
  }

  public void setWahlvorschlagsPersonTyp(WahlvorschlagsPersonTyp wahlvorschlagsPersonTyp) {
    this.wahlvorschlagsPersonTyp = wahlvorschlagsPersonTyp;
  }

  public Long getEingangssequenznummer() {
    return eingangssequenznummer;
  }

  public void setEingangssequenznummer(Long eingangssequenznummer) {
    this.eingangssequenznummer = eingangssequenznummer;
  }

  public Date getDatumUnterschrift() {
    return datumUnterschrift;
  }

  public void setDatumUnterschrift(Date datumUnterschrift) {
    this.datumUnterschrift = datumUnterschrift;
  }

  public String getErstellungErfasser() {
    return erstellungErfasser;
  }

  public void setErstellungErfasser(String erstellungErfasser) {
    this.erstellungErfasser = erstellungErfasser;
  }

  public String getErstellungOrt() {
    return erstellungOrt;
  }

  public void setErstellungOrt(String erstellungOrt) {
    this.erstellungOrt = erstellungOrt;
  }

  public Date getErstellungZeitpunkt() {
    return erstellungZeitpunkt;
  }

  public void setErstellungZeitpunkt(Date erstellungZeitpunkt) {
    this.erstellungZeitpunkt = erstellungZeitpunkt;
  }
}
